<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAssetAssetsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_asset_assets
         */
        Schema::create('bixo_asset_assets', function ($table) {
            $table->increments('id');
            $table->text('category')->nullable();
            $table->string('sub_category', 200)->nullable();
            $table->string('name', 200)->nullable();
            $table->string('serial_no', 200)->nullable();
            $table->text('tags')->nullable();
            $table->string('brand', 200)->nullable();
            $table->string('model_no', 200)->nullable();
            $table->string('ram', 50)->nullable();
            $table->string('storage', 50)->nullable();
            $table->string('imei_no', 200)->nullable();
            $table->string('ip_address', 200)->nullable();
            $table->string('current_location', 200)->nullable();
            $table->string('purchased_from', 200)->nullable();
            $table->string('previous_state', 200)->nullable();
            $table->date('purchased_date')->nullable();
            $table->date('warranty_start_date')->nullable();
            $table->date('warranty_end_date')->nullable();
            $table->string('assign_to', 200)->nullable();
            $table->string('previous_owner', 200)->nullable();
            $table->date('assign_date')->nullable();
            $table->date('return_date')->nullable();
            $table->text('photo')->nullable();
            $table->text('history')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_asset_assets');
    }
}
