<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for asset in asset package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  asset module in asset package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Asset',
    'names' => 'Assets',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Assets',
        'sub' => 'Assets'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'category'                   => 'Please enter category',
        'sub_category'               => 'Please enter sub category',
        'name'                       => 'Please enter name',
        'serial_no'                  => 'Please enter serial no',
        'tags'                       => 'Please enter tags',
        'brand'                      => 'Please enter brand',
        'model_no'                   => 'Please enter model no',
        'ram'                        => 'Please enter ram',
        'storage'                    => 'Please enter storage',
        'imei_no'                    => 'Please enter imei no',
        'ip_address'                 => 'Please enter ip address',
        'current_location'           => 'Please enter current location',
        'purchased_from'             => 'Please enter purchased from',
        'previous_state'             => 'Please enter previous state',
        'purchased_date'             => 'Please select purchased date',
        'warranty_start_date'        => 'Please select warranty start date',
        'warranty_end_date'          => 'Please select warranty end date',
        'assign_to'                  => 'Please enter assign to',
        'previous_owner'             => 'Please enter previous owner',
        'assign_date'                => 'Please select assign date',
        'return_date'                => 'Please select return date',
        'photo'                      => 'Please enter photo',
        'history'                    => 'Please enter history',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'category'                   => 'Category',
        'sub_category'               => 'Sub category',
        'name'                       => 'Name',
        'serial_no'                  => 'Serial no',
        'tags'                       => 'Tags',
        'brand'                      => 'Brand',
        'model_no'                   => 'Model no',
        'ram'                        => 'Ram',
        'storage'                    => 'Storage',
        'imei_no'                    => 'Imei no',
        'ip_address'                 => 'Ip address',
        'current_location'           => 'Current location',
        'purchased_from'             => 'Purchased from',
        'previous_state'             => 'Previous state',
        'purchased_date'             => 'Purchased date',
        'warranty_start_date'        => 'Warranty start date',
        'warranty_end_date'          => 'Warranty end date',
        'assign_to'                  => 'Assign to',
        'previous_owner'             => 'Previous owner',
        'assign_date'                => 'Assign date',
        'return_date'                => 'Return date',
        'photo'                      => 'Photo',
        'history'                    => 'History',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
