<?php

namespace Bixo\Asset\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Asset\Http\Requests\AssetActionsRequest;
use Bixo\Asset\Actions\AssetActions;

/**
 * Admin web controller class.
 */
class AssetActionsController extends BaseController
{

    /**
     * Action controller function for asset.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(AssetActionsRequest $request, $action)
    {
        try {
            $asset = AssetActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('asset::asset.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('asset/asset/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('asset/asset/' . $action))
                ->redirect();
        }
    }
}
