<?php


namespace Bixo\Asset\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait AssetReport
{

    /**
     * Determine if the given user can approve the given asset.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('asset.asset.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given asset.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('asset.asset.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given asset.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('asset.asset.report.download')) {
            return true;
        }

        return false;
    }
}
